/* ---------------------------------------------------------------------- */
/*	Import fonts
/* ---------------------------------------------------------------------- */
@import url('/content/style/font/BYekan.css');

/* ---------------------------------------------------------------------- */
/*	Basic Elements & Classes
/* ---------------------------------------------------------------------- */
html {
    direction: rtl;
}

body {
    color: #000000;
    direction: rtl;
    font-family: Tahoma, sans-serif;
    font-size: 11px;
    font-weight: normal;
    word-spacing: 0;
    margin: 0px !important;
    background: #ffffff;
}

option {
    font-family: 'BYekan', Tahoma, sans-serif;
    font-size: 13px;
    font-weight: normal;
    word-spacing: 0;
}

.full-height {
    height: 100%;
    position: relative;
}

.notifyMessage {
    display: none;
}

.dateBox {
    direction: ltr;
    /*min-width: 221px;*/
}

.margin-v-10 {
    margin: 10px auto;
}

.margin-b-10 {
    margin-bottom: 10px;
}

.margin-b-5 {
    margin-bottom: 5px;
}

.margin-h-5 {
    margin-right: 5px;
    margin-left: 5px;
}

.wrap {
    padding-top: 28px;
}

@media (min-width: 992px) {
    .wrap {
        padding-bottom: 32px;
    }
}

@media (max-width: 991px) {
    .wrap {
        padding-bottom: 80px;
    }
}

.innercontent {
    padding: 5px 10px;
    height: 100%;
    overflow: auto;
}

.pagetitle {
    z-index: 21;
    line-height: 17px;
    text-align: right;
    background: #ccdef9;
    padding: 5px 10px 5px 10px;
    white-space: nowrap;
    color: #000;
    margin-bottom: 10px;
    font-family: Tahoma;
    font-size: 12px;
    border-bottom: 1px solid #a5c8e6;
    position: fixed;
    width: 100%;
}

.pagefooter {
    line-height: 17px;
    text-align: right;
    background: #ccdef9;
    border-top: 1px solid #a5c8e6;
    padding-top: 5px;
    white-space: nowrap;
    color: #000;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 21;
}

@media (min-width: 992px) {
    .pagefooter {
        height: 32px;
    }
}

@media (max-width: 991px) {
    .pagefooter {
        height: 80px;
    }
}

select.form-control option:disabled {
    color: #ddd;
}

.img-avatar {
    max-height: 100px;
    max-width: 100px;
}

.firstpage-thumb {
    max-width: 128px;
    max-height: 128px;
    display: block;
    margin: 0 auto;
}

    .firstpage-thumb img {
        width: 100%;
        transition: all .2s ease;
    }

    .firstpage-thumb:hover img {
        transform: scale(1.1);
    }

.table-info {
    margin-bottom: 0 !important;
}

    .table-info td {
        padding: 1px !important;
    }

.search-field {
    background-color: #fff !important;
}

.table-fixed-column > tbody > tr > td, .table-fixed-column > tbody > tr > th, .table-fixed-column > tfoot > tr > td, .table-fixed-column > tfoot > tr > th, .table-fixed-column > thead > tr > td, .table-fixed-column > thead > tr > th {
    white-space: nowrap;
    line-height: 1;
}

.table tr.hover, .table tr.hover td {
    background-color: #e8e8e8 !important;
}

.btn.btn-tree {
    white-space: unset;
}

    .btn.btn-tree .caret {
        float: left;
        margin-top: 7px;
        margin-right: 5px;
    }

/* ---------------------------------------------------------------------- */
/*	Tree Select View
/* ---------------------------------------------------------------------- */
.dropdown-menu tbody, .dropdown-menu tr, .dropdown-menu td {
    display: block;
}

    .dropdown-menu tr > td > a {
        display: inline-block;
        padding: 3px 5px 3px 35px;
        clear: both;
        font-weight: 400;
        line-height: 1.428571429;
        color: #333;
        white-space: nowrap;
    }

    .dropdown-menu tr > td:hover, .dropdown-menu tr > td:focus {
        background-color: #e3e3e3;
    }

    .dropdown-menu tr.active > td, .dropdown-menu tr.active > td:hover, .dropdown-menu tr.active > td:focus {
        background-color: #428bca;
    }

        .dropdown-menu tr.active > td > a, .dropdown-menu tr.active > td > a:hover, .dropdown-menu tr.active > td > a:focus {
            color: #fff;
            text-decoration: none;
            outline: 0;
        }

    .dropdown-menu tr.disabled > td > a, .dropdown-menu tr.disabled > td > a:hover, .dropdown-menu tr.disabled > td > a:focus {
        color: #999;
    }

        .dropdown-menu tr.disabled > td > a:hover, .dropdown-menu tr.disabled > td > a:focus {
            text-decoration: none;
            background-color: transparent;
            background-image: none;
            filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
            cursor: not-allowed;
        }

/* ---------------------------------------------------------------------- */
/*	Modal elements
/* ---------------------------------------------------------------------- */

.modal-footer, .modal-header {
    background: #337ab7;
    border-radius: 0;
}

/* ---------------------------------------------------------------------- */
/*	Tabs
/* ---------------------------------------------------------------------- */
.tabbable {
    margin-bottom: 15px;
}

.nav-tabs {
    border-color: #DDDDDD;
    margin-bottom: 0;
    margin-left: 0;
    position: relative;
    top: 1px;
}

    .nav-tabs > li.active > a, .nav-tabs > li.active > a:hover, .nav-tabs > li.active > a:focus {
        background-color: #FFFFFF;
        border-color: #DDDDDD #DDDDDD transparent;
        border-top: 2px solid #DDDDDD;
        color: #333333;
        line-height: 16px;
        margin-top: -1px;
        z-index: 12;
    }

    .nav-tabs > li:first-child > a {
        margin-left: 0;
    }

    .nav-tabs > li > a:hover {
        background-color: #FFFFFF;
        border-color: #DDDDDD;
        color: #4C8FBD;
    }

    .nav-tabs > li > a, .nav-tabs > li > a:focus {
        background-color: #F9F9F9;
        border-color: #DDDDDD;
        border-radius: 0 0 0 0 !important;
        color: #999999;
        line-height: 16px;
        margin-right: -1px;
        position: relative;
    }

.tab-content {
    border: 1px solid #DDDDDD;
    padding: 16px 12px;
    position: relative;
}
/* ---------------------------------------------------------------------- */
/*	Menu
/* ---------------------------------------------------------------------- */
@media (min-width: 768px) { /* Hide Control Hint */

    .controlshint {
        display: none !important;
    }
}

@media (max-width: 767px) {
    /* General Styles */
    .wrap {
        margin: 0 !important;
    }

    .controlshint {
        width: 100%;
        height: 100%;
        display: none;
        position: fixed;
        z-index: 99999;
        background: rgba(0,0,0,.5);
    }

        .controlshint img {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            height: auto;
            width: 100px;
            margin: auto;
            position: absolute;
        }
}
/* ---------------------------------------------------------------------- */
/*	Login
/* ---------------------------------------------------------------------- */
form.login {
    box-shadow: 0 8px 17px 0 rgba(0, 0, 0, 0.4), 0 6px 20px 0 rgba(0, 0, 0, 0.3);
    margin-top: 25%;
}

    form.login .panel-body {
        padding: 10px !important;
    }

    form.login .form-group {
        margin: 10px 0 !important;
    }

    form.login .btn {
        padding: 6px 25px !important;
        display: block;
        margin: 20px 0 !important;
    }
/* ---------------------------------------------------------------------- */
/*	Loading
/* ---------------------------------------------------------------------- */
@-webkit-keyframes spin {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(360deg);
    }
}

@-moz-keyframes spin {
    0% {
        -moz-transform: rotate(0);
    }

    100% {
        -moz-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(360deg);
    }
}

.loading {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 1003;
    top: 0;
    right: 0;
    background-color: rgba(255,255,255,0.7);
    display: block;
}

    .loading div:first-child {
        display: block;
        position: relative;
        width: 27px;
        height: 27px;
        right: 50%;
        top: 40%;
        border-radius: 50%;
        box-shadow: 0 2px 2px 0 rgba(255,56,106,1);
        transform: translate3d(0,0,0);
        animation: spin 1s linear infinite;
    }

        .loading div:first-child:after, .loading div:first-child:before {
            content: '';
            position: absolute;
            border-radius: 50%;
        }

        .loading div:first-child:before {
            top: 5px;
            left: 5px;
            right: 5px;
            bottom: 5px;
            box-shadow: 0 2px 2px 0 #337ab7;
            -webkit-animation: spin 2s linear infinite;
            animation: spin 1.5s linear infinite;
        }

        .loading div:first-child:after {
            top: 15px;
            left: 15px;
            right: 15px;
            bottom: 15px;
            box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.1);
            animation: spin .7s linear infinite;
        }
/* ---------------------------------------------------------------------- */
/*	Buttons
/* ---------------------------------------------------------------------- */
/*
.panel-action {
    display: flex;
    flex-direction: column;
}
*/
.panel-action > .panel-body {
    padding: 0 !important;
    /*flex: 1;*/
}

.action-container {
    padding: 5px 54px 5px 5px;
    position: relative;
}

.action-pane {
    position: absolute;
    top: 0px;
    bottom: 0px;
    right: 0px;
    width: 49px;
    padding: 5px;
    border-left: 1px solid #ccc;
    z-index: 20;
}

.btn-action {
    margin-bottom: 5px;
}

    .btn-action i, .btn-action span {
        transition: all 0.4s ease;
    }

    .btn-action span {
        transform: scale(0);
        width: 0;
        display: inline-block;
    }

    .btn-action:hover i {
        transform: rotate(360deg);
    }

    .btn-action:hover span {
        transform: scale(1);
        margin: 0 5px;
        width: 150px;
    }
/* ---------------------------------------------------------------------- */
/*	Flexibles
/* ---------------------------------------------------------------------- */
@media (min-width:768px) {
    .flexible, .flexible > .col-md-1, .flexible > .col-md-2, .flexible > .col-md-3, .flexible > .col-md-4, .flexible > .col-md-5, .flexible > .col-md-6, .flexible > .col-md-7, .flexible > .col-md-8, .flexible > .col-md-9, .flexible > .col-md-10, .flexible > .col-md-11, .flexible > .col-md-12 {
        display: -webkit-flex;
        display: flex;
    }

        .flexible > .col-md-12 {
            -webkit-flex: 12;
            -ms-flex: 12;
            flex: 12;
        }

        .flexible > .col-md-11 {
            -webkit-flex: 11;
            -ms-flex: 11;
            flex: 11;
        }

        .flexible > .col-md-10 {
            -webkit-flex: 10;
            -ms-flex: 10;
            flex: 10;
        }

        .flexible > .col-md-9 {
            -webkit-flex: 9;
            -ms-flex: 9;
            flex: 9;
        }

        .flexible > .col-md-8 {
            -webkit-flex: 8;
            -ms-flex: 8;
            flex: 8;
        }

        .flexible > .col-md-7 {
            -webkit-flex: 7;
            -ms-flex: 7;
            flex: 7;
        }

        .flexible > .col-md-6 {
            -webkit-flex: 6;
            -ms-flex: 6;
            flex: 6;
        }

        .flexible > .col-md-5 {
            -webkit-flex: 5;
            -ms-flex: 5;
            flex: 5;
        }

        .flexible > .col-md-4 {
            -webkit-flex: 4;
            -ms-flex: 4;
            flex: 4;
        }

        .flexible > .col-md-3 {
            -webkit-flex: 3;
            -ms-flex: 3;
            flex: 3;
        }

        .flexible > .col-md-2 {
            -webkit-flex: 2;
            -ms-flex: 2;
            flex: 2;
        }

        .flexible > .col-md-1 {
            -webkit-flex: 1;
            -ms-flex: 1;
            flex: 1;
        }

            .flexible > .col-md-1 > .panel, .flexible > .col-md-2 > .panel, .flexible > .col-md-3 > .panel, .flexible > .col-md-4 > .panel, .flexible > .col-md-5 > .panel, .flexible > .col-md-6 > .panel, .flexible > .col-md-7 > .panel, .flexible > .col-md-8 > .panel, .flexible > .col-md-9 > .panel, .flexible > .col-md-10 > .panel, .flexible > .col-md-11 > .panel, .flexible > .col-md-12 > .panel {
                -webkit-flex: 1;
                -ms-flex: 1;
                flex: 1;
            }

            .flexible > .col-md-1 > .panel-action, .flexible > .col-md-2 > .panel-action, .flexible > .col-md-3 > .panel-action, .flexible > .col-md-4 > .panel-action, .flexible > .col-md-5 > .panel-action, .flexible > .col-md-6 > .panel-action, .flexible > .col-md-7 > .panel-action, .flexible > .col-md-8 > .panel-action, .flexible > .col-md-9 > .panel-action, .flexible > .col-md-10 > .panel-action, .flexible > .col-md-11 > .panel-action, .flexible > .col-md-12 > .panel-action {
                display: -webkit-flex;
                display: flex;
                flex-direction: column;
            }

                .flexible > .col-md-1 > .panel-action > .panel-body, .flexible > .col-md-2 > .panel-action > .panel-body, .flexible > .col-md-3 > .panel-action > .panel-body, .flexible > .col-md-4 > .panel-action > .panel-body, .flexible > .col-md-5 > .panel-action > .panel-body, .flexible > .col-md-6 > .panel-action > .panel-body, .flexible > .col-md-7 > .panel-action > .panel-body, .flexible > .col-md-8 > .panel-action > .panel-body, .flexible > .col-md-9 > .panel-action > .panel-body, .flexible > .col-md-10 > .panel-action > .panel-body, .flexible > .col-md-11 > .panel-action > .panel-body, .flexible > .col-md-12 > .panel-action > .panel-body {
                    -webkit-flex-grow: 1;
                    -ms-flex-positive: 1;
                    flex-grow: 1;
                    position: relative;
                }

                    .flexible > .col-md-1 > .panel-action > .panel-body > .action-container, .flexible > .col-md-2 > .panel-action > .panel-body > .action-container, .flexible > .col-md-3 > .panel-action > .panel-body > .action-container, .flexible > .col-md-4 > .panel-action > .panel-body > .action-container, .flexible > .col-md-5 > .panel-action > .panel-body > .action-container, .flexible > .col-md-6 > .panel-action > .panel-body > .action-container, .flexible > .col-md-7 > .panel-action > .panel-body > .action-container, .flexible > .col-md-8 > .panel-action > .panel-body > .action-container, .flexible > .col-md-9 > .panel-action > .panel-body > .action-container, .flexible > .col-md-10 > .panel-action > .panel-body > .action-container, .flexible > .col-md-11 > .panel-action > .panel-body > .action-container, .flexible > .col-md-12 > .panel-action > .panel-body > .action-container {
                        height: 100%;
                    }
}
/* ---------------------------------------------------------------------- */
/*	Calculator
/* ---------------------------------------------------------------------- */
.calculator {
    direction: ltr;
    font-family: Tahoma,Arial;
}

    .calculator table {
        margin: 0 auto;
    }

    .calculator a {
        width: 35px;
        margin: 2px;
        padding: 5px;
    }

    .calculator .big {
        width: 75px;
    }

    .calculator .tall {
        height: 65px;
    }

@media only screen and (min-width:300px) and (max-width:600px) {

    .content {
        max-width: 300px;
        margin: 0 auto;
    }
}

.dropdown .btn {
    text-align: right !important;
}

.form-inline .dropdown {
    display: inline-block;
}

.form-horizontal .dropdown .btn, .form-horizontal .bootstrap-select {
    width: 100%;
}

.dropdown .tree {
    width: 100%;
}

.p-5 {
    padding: 5px;
}

.p-10 {
    padding: 10px;
}

.w-10 {
    width: 10%;
}

.w-25 {
    width: 25%;
}

.w-50 {
    width: 50%;
}

.w-75 {
    width: 75%;
}

.w-100 {
    width: 100%;
}

.w-10 {
    width: 10%;
}

.w-15 {
    width: 15%;
}

.text-right {
    text-align: right;
}

.text-left {
    text-align: left;
}

.p-rl {
    padding-left: 10px;
    padding-right: 10px;
}

.pb-0 {
    padding-bottom: 0 !important;
}

.fixed-columns {
    position: absolute;
    top: 0;
    left: 0;
}

.resizer {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 8px;
    cursor: col-resize;
}

.alert.alert-default {
    background-color: #fff;
    color: #333;
    border-color: #ccc;
    padding: 5px;
    margin: 0 0 5px 5px;
    display: inline-block;
}

        .alert.alert-default .close {
            color: #000;
            margin-right: 20px;
        }
